com.sun.jna.platform.win32

## Class WinNT.SID_NAME_USE

- java.lang.Object
- - com.sun.jna.platform.win32.WinNT.SID_NAME_USE

Enclosing interface:
  WinNT

    public abstract static class WinNT.SID_NAME_USE
    extends java.lang.Object

The SID_NAME_USE enumeration type contains values that specify the type of a security identifier (SID).

### Field Summary

Fields
`static int` `SidTypeAlias` Indicates an alias SID.
`static int` `SidTypeComputer` Indicates a SID for a computer.
`static int` `SidTypeDeletedAccount` Indicates a SID for a deleted account.
`static int` `SidTypeDomain` Indicates a domain SID.
`static int` `SidTypeGroup` Indicates a group SID.
`static int` `SidTypeInvalid` Indicates an invalid SID.
`static int` `SidTypeLabel` ?
`static int` `SidTypeUnknown` Indicates an unknown SID type.
`static int` `SidTypeUser` Indicates a user SID.
`static int` `SidTypeWellKnownGroup` Indicates a SID for a well-known group.

### Constructor Summary

Constructors
Constructor and Description
`SID_NAME_USE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SidTypeUser

    public static final int SidTypeUser

Indicates a user SID.

See Also:
  Constant Field Values

#### SidTypeGroup

    public static final int SidTypeGroup

Indicates a group SID.

See Also:
  Constant Field Values

#### SidTypeDomain

    public static final int SidTypeDomain

Indicates a domain SID.

See Also:
  Constant Field Values

#### SidTypeAlias

    public static final int SidTypeAlias

Indicates an alias SID.

See Also:
  Constant Field Values

#### SidTypeWellKnownGroup

    public static final int SidTypeWellKnownGroup

Indicates a SID for a well-known group.

See Also:
  Constant Field Values

#### SidTypeDeletedAccount

    public static final int SidTypeDeletedAccount

Indicates a SID for a deleted account.

See Also:
  Constant Field Values

#### SidTypeInvalid

    public static final int SidTypeInvalid

Indicates an invalid SID.

See Also:
  Constant Field Values

#### SidTypeUnknown

    public static final int SidTypeUnknown

Indicates an unknown SID type.

See Also:
  Constant Field Values

#### SidTypeComputer

    public static final int SidTypeComputer

Indicates a SID for a computer.

See Also:
  Constant Field Values

#### SidTypeLabel

    public static final int SidTypeLabel

?

See Also:
  Constant Field Values

### Constructor Detail

#### SID_NAME_USE

    public SID_NAME_USE()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.